Skip to main content

Atrium API

Update User

Use this endpoint to update the attributes of a specific user. Atrium will respond with the updated user object.

Disabling a user means that accounts and transactions associated with it will not be updated in the background by MX. It will also restrict access to that user's data until they are no longer disabled.

PUT
/users/{user_guid}

Request Body

None of these parameters are required, but the user object cannot be empty.

FieldRequiredType

identifier

Optional
String

is_disabled

Optional
String

metadata

Optional
String

Request sample

Language:sh

_10
curl -i -X PUT 'https://vestibule.mx.com/users/{user_guid}' \
_10
-H 'Accept: application/vnd.mx.atrium.v1+json' \
_10
-H 'Content-Type: application/json' \
_10
-H 'MX-API-Key: {mx_api_key}' \
_10
-H 'MX-Client-ID: {mx_client_id}' \
_10
-d '{
_10
"user": {
_10
"metadata": "{\"first_name\": \"Steven\", \"last_name\": \"Universe\"}"
_10
}
_10
}'

Response sample

200
Language:json

_10
{
_10
"user": {
_10
"guid": "USR-fa7537f3-48aa-a683-a02a-b18940482f54",
_10
"identifier": "unique_id",
_10
"is_disabled": false,
_10
"metadata": "{\"first_name\": \"Steven\", \"last_name\": \"Universe\"}"
_10
}
_10
}